/********** Template CSS **********/
:root {
    --primary: #6244c5;
    --secondary: #ffc448;
    --light: #fafafb;
    --dark: #12141d;
}

.back-to-top {
    position: fixed;
    display: none;
    right: 45px;
    bottom: 45px;
    z-index: 99;
}

.my-6 {
    margin-top: 6rem;
    margin-bottom: 6rem;
}
ul {
    padding: 0;
    margin: 0;
}

.py-6 {
    padding-top: 6rem;
    padding-bottom: 6rem;
}

/*** Spinner ***/
#spinner {
    opacity: 0;
    visibility: hidden;
    transition:
        opacity 0.5s ease-out,
        visibility 0s linear 0.5s;
    z-index: 99999;
}

#spinner.show {
    transition:
        opacity 0.5s ease-out,
        visibility 0s linear 0s;
    visibility: visible;
    opacity: 1;
}

/*** Button ***/
.btn {
    font-weight: 500;
    transition: 0.5s;
}

.btn.btn-primary,
.btn.btn-secondary {
    color: #ffffff;
}

.btn-square {
    width: 38px;
    height: 38px;
}

.btn-sm-square {
    width: 32px;
    height: 32px;
}

.btn-lg-square {
    width: 48px;
    height: 48px;
}

.btn-square,
.btn-sm-square,
.btn-lg-square {
    padding: 0;
    display: flex;
    align-items: center;
    justify-content: center;
    font-weight: normal;
}

/*** Navbar ***/
.navbar.fixed-top {
    transition: 0.5s;
}

.navbar .navbar-nav .nav-link {
    padding: 20px 15px;
    color: var(--dark);
    font-size: 18px;
    font-weight: 600;
    outline: none;
}

.navbar .navbar-nav .nav-link:hover,
.navbar .navbar-nav .nav-link.active {
    color: var(--primary);
}

@media (max-width: 991.98px) {
    .navbar .navbar-nav .nav-link {
        padding: 10px 0;
    }
}

/*** Header ***/
#home {
    margin-bottom: 6rem;
}

.typed-cursor {
    font-size: 30px;
    color: var(--dark);
}

.btn-play {
    position: relative;
    display: block;
    box-sizing: content-box;
    width: 16px;
    height: 26px;
    border-radius: 100%;
    border: none;
    outline: none !important;
    padding: 18px 20px 20px 28px;
    background: var(--primary);
}

.btn-play:before {
    content: "";
    position: absolute;
    z-index: 0;
    left: 50%;
    top: 50%;
    transform: translateX(-50%) translateY(-50%);
    display: block;
    width: 60px;
    height: 60px;
    background: var(--primary);
    border-radius: 100%;
    animation: pulse-border 1500ms ease-out infinite;
}

.btn-play:after {
    content: "";
    position: absolute;
    z-index: 1;
    left: 50%;
    top: 50%;
    transform: translateX(-50%) translateY(-50%);
    display: block;
    width: 60px;
    height: 60px;
    background: #ffffff;
    border-radius: 100%;
    transition: all 200ms;
}

.btn-play span {
    display: block;
    position: relative;
    z-index: 3;
    width: 0;
    height: 0;
    left: -1px;
    border-left: 16px solid var(--primary);
    border-top: 11px solid transparent;
    border-bottom: 11px solid transparent;
}

@keyframes pulse-border {
    0% {
        transform: translateX(-50%) translateY(-50%) translateZ(0) scale(1);
        opacity: 1;
    }

    100% {
        transform: translateX(-50%) translateY(-50%) translateZ(0) scale(2);
        opacity: 0;
    }
}

.modal-video .modal-dialog {
    position: relative;
    max-width: 800px;
    margin: 60px auto 0 auto;
}

.modal-video .modal-body {
    position: relative;
    padding: 0px;
}

.modal-video .close {
    position: absolute;
    width: 30px;
    height: 30px;
    right: 0px;
    top: -30px;
    z-index: 999;
    font-size: 30px;
    font-weight: normal;
    color: #ffffff;
    background: #000000;
    opacity: 1;
}

/*** About ***/
#about .years .display-1 {
    font-size: 10rem;
    line-height: 9rem;
}

#about .years h5 {
    font-size: 30px;
}

/*** Skills ***/
#skill .progress {
    height: 5px;
    border-radius: 5px;
}

#skill .progress .progress-bar {
    width: 0px;
    border-radius: 5px;
    transition: 3s;
}

#skill .nav-pills .nav-link {
    color: var(--dark);
}

#skill .nav-pills .nav-link.active {
    color: #ffffff;
}

#skill .tab-content hr {
    width: 30px;
}

/*** Service ***/
.service-item .bg-icon {
    width: 100px;
    height: 100px;
    display: flex;
    align-items: center;
    justify-content: center;
    background: url(../img/bg-icon.png) center center no-repeat;
    background-size: cover;
}

/*** Project Portfolio ***/
#project {
    padding: 60px 0 100px 0 !important;
}
#portfolio-flters li {
    display: inline-block;
    font-weight: 500;
    color: var(--dark);
    cursor: pointer;
    transition: 0.5s;
    border-bottom: 2px solid transparent;
}

#portfolio-flters li:hover,
#portfolio-flters li.active {
    color: var(--primary);
    border-color: var(--primary);
}

.portfolio-img {
    position: relative;
}

.portfolio-btn {
    position: absolute;
    width: 100%;
    height: 100%;
    top: 0;
    right: 0;
    background: rgba(98, 68, 197, 0.5);
    display: flex;
    align-items: flex-end;
    justify-content: end;
    padding: 30px;
    padding-bottom: 100px !important;
    opacity: 0;
    transition: 0.5s;
}

.portfolio-item:hover .portfolio-btn {
    opacity: 1;
    padding-bottom: 30px !important;
}

/*** Team ***/
.team-item img {
    transition: 0.5s;
}

.team-item:hover img {
    opacity: 0.7;
}

.team-item .team-text {
    position: absolute;
    left: 0;
    right: 60px;
    bottom: 30px;
    display: flex;
    align-items: center;
    justify-content: space-between;
    opacity: 0;
    transition: 0.5s;
}

.team-item:hover .team-text {
    right: 30px;
    opacity: 1;
}

.team-item .team-text div {
    transition: 0.5s;
}

.team-item:hover .team-text div {
    margin-left: 30px;
}

/*** Testimonial ***/
.testimonial-left,
.testimonial-right {
    position: relative;
}

.testimonial-left img,
.testimonial-right img {
    position: absolute;
    padding: 5px;
    border: 1px solid var(--secondary);
    border-radius: 70px;
}

.testimonial-left img:nth-child(1),
.testimonial-right img:nth-child(3) {
    width: 70px;
    height: 70px;
    top: 10%;
    left: 50%;
    transform: translateX(-50%);
}

.testimonial-left img:nth-child(2),
.testimonial-right img:nth-child(2) {
    width: 60px;
    height: 60px;
    top: 50%;
    left: 10%;
    transform: translateY(-50%);
}

.testimonial-left img:nth-child(3),
.testimonial-right img:nth-child(1) {
    width: 50px;
    height: 50px;
    bottom: 10%;
    right: 10%;
}

.testimonial-carousel .owl-item img {
    width: 120px;
    height: 120px;
}

.testimonial-carousel .testimonial-icon {
    position: absolute;
    width: 40px;
    height: 40px;
    left: 50%;
    bottom: -15px;
    transform: translateX(-50%);
    display: flex;
    align-items: center;
    justify-content: center;
    background: #ffffff;
    border: 1px solid var(--secondary);
    border-radius: 60px;
}

.testimonial-carousel .owl-dots {
    height: 40px;
    margin-top: 25px;
    display: flex;
    align-items: center;
    justify-content: center;
}

.testimonial-carousel .owl-dot {
    position: relative;
    display: inline-block;
    margin: 0 5px;
    width: 30px;
    height: 30px;
    background: #ffffff;
    border: 2px solid var(--secondary);
    border-radius: 30px;
    transition: 0.5s;
}

.testimonial-carousel .owl-dot::after {
    position: absolute;
    content: "";
    width: 16px;
    height: 16px;
    top: 5px;
    left: 5px;
    border-radius: 16px;
    background: var(--secondary);
    transition: 0.5s;
}

.testimonial-carousel .owl-dot.active::after {
    background: var(--primary);
}

.padding-top {
    padding: 40px;
}
.padding-top .h2 {
    margin-bottom: 50px;
}
.s-block--animated-brands--marquee {
    /* display: flex; */
    overflow: hidden;
    -webkit-user-select: none;
    -moz-user-select: none;
    user-select: none;
    margin: 15px 0;
    gap: calc(clamp(10rem, 1rem + 40vmin, 30rem) / 14);
    -webkit-mask-image: linear-gradient(
        to right,
        hsla(0, 0%, 0%, 0),
        hsl(0, 0%, 0%) 20%,
        hsl(0, 0%, 0%) 80%,
        hsla(0, 0%, 0%, 0)
    );
    mask-image: linear-gradient(
        to right,
        hsla(0, 0%, 0%, 0),
        hsl(0, 0%, 0%) 20%,
        hsl(0, 0%, 0%) 80%,
        hsla(0, 0%, 0%, 0)
    );
    -webkit-mask-image: linear-gradient(
        var(--mask-direction, to right),
        hsla(0, 0%, 0%, 0),
        hsl(0, 0%, 0%) 20%,
        hsl(0, 0%, 0%) 80%,
        hsla(0, 0%, 0%, 0)
    );
    mask-image: linear-gradient(
        var(--mask-direction, to right),
        hsla(0, 0%, 0%, 0),
        hsl(0, 0%, 0%) 20%,
        hsl(0, 0%, 0%) 80%,
        hsla(0, 0%, 0%, 0)
    );
}

.s-block--animated-brands--marquee .marquee__group {
    flex-shrink: 0;
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    align-items: center;
    gap: calc(clamp(10rem, 1rem + 40vmin, 30rem) / 14);
    animation: scroll-x 60s linear infinite;
    -webkit-animation: scroll-x 60s linear infinite;
}
.marquee--reverse .marquee__group {
    animation-direction: reverse;
    animation-delay: -3s;
}
.s-block--animated-brands--marquee .marquee__group {
    flex-shrink: 0;
    display: flex;
    align-items: center;
    gap: calc(clamp(10rem, 1rem + 40vmin, 30rem) / 14);
    animation: scroll-x 60s linear infinite;
    -webkit-animation: scroll-x 60s linear infinite;
}
.s-block--animated-brands--brand {
    background: #eee;
    border-radius: 10px;
    -webkit-border-radius: 10px;
    -moz-border-radius: 10px;
    -ms-border-radius: 10px;
    -o-border-radius: 10px;
}
img.lazy.loaded {
    opacity: 1;
    transform: scale(1);
    -webkit-transform: scale(1);
    -moz-transform: scale(1);
    -ms-transform: scale(1);
    -o-transform: scale(1);
}
.s-block--animated-brands--brand img {
    width: 100px;
    height: 100px;
    padding: 10px;
    -o-object-fit: contain;
    object-fit: contain;
    -webkit-transition: all 300ms;
}

.padding-top {
    padding: 40px;
}

/* Start our-services Style */

.our-services .box {
    padding: 10px 10px;
    border-radius: 12px;
    border: 1px solid #e9e7e7;
    background-color: #fff;
    text-align: center;
    position: relative;
    overflow: hidden;
    cursor: pointer;
}
.our-services .box .box-image .item {
    border-radius: 8px;
    height: 300px;
    overflow: hidden;
}
.our-services .box .box-image .item img {
    width: 100%;
    height: 100%;
    margin: auto;
}
.our-services .box .box-info h3 {
    font-size: 23px;
    color: #474747;

    font-weight: bold;
    margin: 30px 0 20px 0;
}
.our-services .box .box-info p {
    font-size: 17px;
}
.box .actions {
    position: absolute;
    bottom: -400px;
    left: 0;
    width: 100%;
    height: 100%;
    display: flex;
    align-items: center;
    justify-content: center;
    transition: all 0.3s ease-in-out;
    background: rgba(241, 239, 254, 0.6);
    border: 0.75249px solid rgba(255, 255, 255, 0.23);
    backdrop-filter: blur(23px);
    border-radius: 12px;
}
.our-services .box .actions .brand-btn {
    font-family: "NotoKufiArabic-Medium", sans-serif;
    border: none;
    outline: none;
    padding: 20px;
    border-radius: 50px;
    color: #fff;
}
.our-services .box:hover .actions {
    bottom: 0;
}
/* Start pop up */

.our-services .pop-up {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: rgba(11, 11, 11, 80%);
    display: flex;
    align-items: center;
    justify-content: center;
    visibility: hidden;
    opacity: 0;
    z-index: -1;
    transition: all 0.3s ease-in-out;
}

.our-services .pop-up.show {
    visibility: visible;
    opacity: 1;
    z-index: 99999999;
}
.our-services .pop-up .inner {
    width: 80%;
    height: 90%;
    max-height: 700px;
    max-width: 1200px;

    background-color: #fff;
    padding: 20px 30px;
    border-radius: 12px;
    transform: translateY(-10px);
    transition: all 0.3s ease-in-out;
}
.our-services .pop-up .inner .row {
    overflow-y: scroll;
    height: 100%;
    padding: 0;
}

@media (max-width: 992px) {
    .our-services .pop-up {
        align-items: center;
    }
    .our-services .pop-up .inner {
        width: 90%;
        height: 90dvh;
        max-height: 700px;
        background-color: #fff;
        transform: translateY(100vh);
        transition: all 0.4s ease-in-out;
        border-radius: 40px 40px 0 0;
    }
}
@media (min-width: 992px) and (max-width: 1200px) {
    .our-services .pop-up .inner {
        width: 80%;
        height: 90%;
        max-height: 700px;
        max-width: 1200px;
        background-color: #fff;
        border-radius: 12px;
        padding: 45px;
        transform: translateY(-10px);
        transition: all 0.3s ease-in-out;
    }
    .our-services .pop-up .inner .close-pop-up {
        top: 5px !important;
        left: 5px !important;
        box-shadow: unset !important;
    }
    .our-services .pop-up .inner .close-pop-up img {
        width: 20px;
    }
    .our-services .pop-up {
        align-items: end;
    }
}
.our-services .pop-up.show .inner {
    transform: translateY(10px);
    z-index: 99999999;
}
.our-services .pop-up .inner .close-pop-up {
    position: fixed;
    top: 20px;
    left: 20px;
    padding: 14px;
    box-shadow: 0 0 23px #a6a6a6;
    border-radius: 12px;
    cursor: pointer;
    background-color: #fff;
}
@media (max-width: 992px) {
    .our-services .pop-up .inner .close-pop-up {
        top: 15px;
        left: 15px;
        box-shadow: unset;
    }
    .our-services .pop-up .inner .close-pop-up img {
        width: 20px;
    }
}

.our-services .pop-up .inner .row::-webkit-scrollbar-thumb {
    background: transparent;
}
.our-services .pop-up .inner .row::-webkit-scrollbar {
    width: 0px;
}
.our-services .pop-up .owl-carousel .owl-stage-outer {
    position: relative;
}
.our-services .pop-up .owl-nav i {
    font-size: 52px;
}

.our-services .pop-up .owl-nav .owl-prev {
    position: absolute;
    top: 50%;
    left: 0;
    transform: translateY(-50%);
    width: 55.5px;
    height: 57.1px;
    border: 1px solid #eaedf7 !important;
    border-radius: 101px;
    filter: drop-shadow(0px 2px 2px rgba(28, 41, 90, 0.04));
    visibility: hidden;
    transition: all 0.4s ease-in-out;
    background: #ffffff !important;
    opacity: 0;
}

.our-services .pop-up .owl-nav .owl-next {
    position: absolute;
    top: 50%;
    right: 0;
    transform: translateY(-50%);
    width: 55.5px;
    height: 57.1px;
    border: 1px solid #eaedf7 !important;
    border-radius: 101px;
    filter: drop-shadow(0px 2px 2px rgba(28, 41, 90, 0.04));
    transition: all 0.4s ease-in-out;
    visibility: hidden;
    opacity: 0;

    background: #ffffff !important;
}
.our-services .pop-up .owl-carousel:hover .owl-nav .owl-prev {
    left: 10px;
    visibility: visible;
    opacity: 1;
}
.our-services .pop-up .owl-carousel:hover .owl-nav .owl-next {
    right: 10px;
    visibility: visible;
    opacity: 1;
}

.our-services .pop-up .inner .images .item {
    border-radius: 15px;
    height: 500px;

    overflow: hidden;
}
.our-services .pop-up .inner .images .item img {
    width: 100%;
    height: 100%;
}
.our-services .pop-up .inner .images .select-image {
    gap: 15px;
    margin: 30px 0 0 0;
}
.our-services .pop-up .inner .images .select-image .img {
    width: 25%;
    height: 120px;
    background-color: #000;
    border-radius: 10px;
    cursor: pointer;
}
@media (max-width: 992px) {
    .our-services .pop-up .inner .images .select-image {
        gap: 8px;
    }
    .our-services .pop-up .inner .images .select-image .img {
        width: 25%;
        height: 90px;
    }
    .our-services .pop-up .inner .images .selected-image img {
        width: 100%;
        height: 350px;
    }
}
.our-services .pop-up .inner .images .select-image .img.selected img {
    border: 3px solid var(--secondary-color);
    opacity: 1;
}
.our-services .pop-up .inner .images .select-image .img img {
    width: 100%;
    height: 100%;
    border-radius: 10px;

    opacity: 0.4;
}

.our-services .pop-up .inner .description h3 {
    font-size: 34px;
    display: inline-block;
    font-weight: bold;
    color: var(--brand-color);
    margin-bottom: 24px;
    padding-bottom: 15px;
    position: relative;
}
.our-services .pop-up .inner .description h3::after {
    content: "";
    position: absolute;
    bottom: 0px;
    right: 0px;
    width: 140px;
    height: 4px;
    background-color: #000;
}
.our-services .pop-up .inner .description span.price {
    display: inline-block;
    margin-bottom: 20px;
    background-color: #000;
    padding: 3px 10px;
    border-radius: 8px;
    color: #fff;
}
.our-services .pop-up .inner .description h4 {
    font-size: 30px;
    font-weight: 600;
    margin-bottom: 20px;
}
.our-services .pop-up .inner .description .offices-categories ul {
    list-style: none;
    margin: 0;
    padding: 0;
}
.our-services .pop-up .inner .description .offices-categories ul li {
    margin-bottom: 10px;
}
.our-services .pop-up .inner .description .available-services .service {
    padding: 10px 20px;
    background-color: #e5eaf8;
    border-radius: 21px;
}

@media (max-width: 992px) {
    .our-services .pop-up .inner .description h3 {
        font-size: 24px;
    }

    .our-services .pop-up .inner .description h4 {
        font-size: 22px;
    }
    .our-services .pop-up .inner .description .available-services .service {
        padding: 10px;
    }
    .our-services .pop-up .inner .description .actions .whatsapp-btn {
        top: 5px;
        margin-bottom: 20px;
    }
}
/* End services Style */

.swiper {
    width: 100%;
    height: 100%;
}

.swiper-slide {
    text-align: center;
    font-size: 18px;
    background: #fff;
    display: flex;
    justify-content: center;
    align-items: center;
}

.swiper-slide img {
    display: block;
    width: 100%;
    height: 100%;
    object-fit: cover;
}

.object-fit-cover {
    object-fit: cover;
}

.footer-section {
    background: #151414;
    position: relative;
}
.footer-cta {
    border-bottom: 1px solid #373636;
}
.single-cta i {
    color: #6244c5;
    font-size: 30px;
    margin-top: 8px;
    margin-left: 14px;
}
.cta-text {
    padding-left: 15px;
    display: inline-block;
}
.cta-text h4 {
    color: #fff;
    font-size: 20px;
    font-weight: 600;
    margin-bottom: 2px;
}
.cta-text span {
    color: #757575;
    font-size: 15px;
}
.footer-content {
    position: relative;
    z-index: 2;
}
.footer-pattern img {
    position: absolute;
    top: 0;
    left: 0;
    height: 330px;
    background-size: cover;
    background-position: 100% 100%;
}
.footer-logo {
    margin-bottom: 30px;
}
.footer-logo img {
    max-width: 200px;
}
.footer-text p {
    margin-bottom: 14px;
    font-size: 14px;
    color: #7e7e7e;
    line-height: 28px;
}
.footer-social-icon span {
    color: #fff;
    display: block;
    font-size: 20px;
    font-weight: 700;
    font-family: "Poppins", sans-serif;
    margin-bottom: 20px;
}
.footer-social-icon a {
    color: #fff;
    font-size: 16px;
    margin-left: 15px;
}

.footer-social-icon i {
    height: 40px;
    width: 40px;
    text-align: center;
    line-height: 38px;
    border-radius: 50%;
}
.facebook-bg {
    background: #3b5998;
}
.twitter-bg {
    background: #55acee;
}
.google-bg {
    background: #dd4b39;
}
.footer-widget-heading h3 {
    color: #fff;
    font-size: 20px;
    font-weight: 600;
    margin-bottom: 40px;
    position: relative;
}
.footer-widget-heading h3::before {
    content: "";
    position: absolute;
    right: 0;
    bottom: -15px;
    height: 2px;
    width: 50px;
    background: #6244c5;
}
.footer-widget ul li {
    display: inline-block;
    float: left;
    width: 50%;
    margin-bottom: 12px;
}
.footer-widget ul li a:hover {
    color: #6244c5;
}
.footer-widget ul li a {
    color: #878787;
    text-transform: capitalize;
}
.subscribe-form {
    position: relative;
    overflow: hidden;
}
.subscribe-form input {
    width: 100%;
    padding: 14px 28px;
    background: #2e2e2e;
    border: 1px solid #2e2e2e;
    color: #fff;
}
.subscribe-form button {
    position: absolute;
    right: 0;
    background: #6244c5;
    padding: 13px 20px;
    border: 1px solid #6244c5;
    top: 0;
}
.subscribe-form button i {
    color: #fff;
    font-size: 22px;
    transform: rotate(-6deg);
}
.copyright-area {
    background: #202020;
    padding: 25px 0;
}
.copyright-text p {
    margin: 0;
    font-size: 14px;
    color: #878787;
}
.copyright-text p a {
    color: #6244c5;
}
.footer-menu li {
    display: inline-block;
    margin-left: 20px;
}
.footer-menu li:hover a {
    color: #6244c5;
}
.footer-menu li a {
    font-size: 14px;
    color: #878787;
}

.row-wahed {
    display: grid;
    grid-template-columns: repeat(2, 1fr);
    gap: 30px;
}

@media (max-width: 991px) {
    .row-wahed {
        grid-template-columns: repeat(1, 1fr);
    }
}
.list-wahed {
    list-style: none;
    display: flex;
    gap: 30px;
    font-weight: bold;
    cursor: pointer;
}
.list-wahed li {
    position: relative;
}
.list-wahed li.active::before {
    margin-bottom: -3px;
    content: "";
    position: absolute;
    bottom: 0;
    background-color: #6244c5;
    width: 100%;
    height: 3px;
    border-radius: 10px;
    -webkit-border-radius: 10px;
    -moz-border-radius: 10px;
    -ms-border-radius: 10px;
    -o-border-radius: 10px;
}
.wahed-appo {
    background-color: #6244c5;
    color: #fff;
    padding: 10px 40px;
    display: flex;
    justify-content: center;
    align-items: center;
    transition: 0.2s linear;
    -webkit-transition: 0.2s linear;
    -moz-transition: 0.2s linear;
    -ms-transition: 0.2s linear;
    -o-transition: 0.2s linear;
}
.wahed-appo:hover {
    background-color: #6244c5be;
    color: #000;
}
